#![allow(dead_code, mutable_transmutes, non_camel_case_types, non_snake_case, non_upper_case_globals, unused_assignments, unused_mut)]
#[no_mangle]
pub unsafe extern "C" fn foo() -> libc::c_int {
    let mut arr: [libc::c_int; 3] = [
        1 as libc::c_int,
        2 as libc::c_int,
        3 as libc::c_int,
    ];
    let mut acc: libc::c_int = 0 as libc::c_int;
    let mut i: libc::c_int = 0 as libc::c_int;
    while i < 3 as libc::c_int {
        acc += arr[i as usize];
        i += 1;
        i;
    }
    return acc;
}
#[no_mangle]
pub unsafe extern "C" fn baz(mut a: *mut libc::c_int) {
    *a += 1 as libc::c_int;
}
#[no_mangle]
pub unsafe extern "C" fn bar() {
    let mut a: libc::c_int = 0 as libc::c_int;
    baz(&mut a);
}
unsafe fn main_0() -> libc::c_int {
    return 0 as libc::c_int;
}
pub fn main() {
    unsafe { ::std::process::exit(main_0() as i32) }
}
